package it.unibo.tw.dao;

import it.unibo.tw.dao.hsqldb.HsqldbDAOFactory;


public class CreateAndFillInTables {

	public static void main(String[] args) {
		
		DAOFactory daoFactory = DAOFactory.getDAOFactory( HsqldbDAOFactory.class.getCanonicalName() );
		
		FeedDAO feedDAO = daoFactory.getFeedDAO();
		try { feedDAO.dropTable(); }
		catch (Exception e) {
			// we ignore that: table might not exist, yet.
		}
		feedDAO.createTable();
		
		fillIn(feedDAO);
		
		System.out.println("Total number of feeds = " + feedDAO.count(null) );
	}

	private static void fillIn(FeedDAO feedDAO) {
		FeedDTO feedDTO = null;
		// ----------------------------------------
		feedDTO = new FeedDTO(
			"Stupro nel parco di Roma \"Ore contate per i due romeni\"",
			"La mobile sulle tracce dei due colpevoli. Scontro dopo la rappresaglia al locale dei romeni. Alemanno: \"Nessuno pensi di farsi giustizia da solo\". Veltroni va all'attacco: \"Le ronde sono inaccettabili\".",
			"",
			"POLITICA",
			"Mon, 16 Feb 2009 15:58:35 +0200",
			"http://www.lastampa.it/redazione/cmsSezioni/cronache/200902articoli/41069girata.asp",
			"http://www.lastampa.it/redazione/cmssezioni/politica/200902images/alemanno02h.jpg"
		);
		feedDTO.setId( feedDAO.create(feedDTO) );
		System.out.println("Created feed #"+feedDTO.getId()+": "+feedDTO.getTitle());
		// ----------------------------------------
		feedDTO = new FeedDTO(
			"Chiuse le urne, iniziano gli scrutini. In Sardegna sfida Soru-Cappellacci",
			"Bassa l'affluenza: alle 11 aveva votato meno del 55% dei cittadini. <br/>Occhi sulla poltrona di governatore: il leader Pd prova a difenderla.",
			"",
			"POLITICA",
			"Mon, 16 Feb 2009 15:58:35 +0200",
			"http://www.lastampa.it/redazione/cmsSezioni/politica/200902articoli/41071girata.asp",
			"http://www.lastampa.it/redazione/cmssezioni/politica/200902images/sardegna01p.jpg"
		);
		feedDTO.setId( feedDAO.create(feedDTO) );
		System.out.println("Created feed #"+feedDTO.getId()+": "+feedDTO.getTitle());
		// ----------------------------------------
		feedDTO = new FeedDTO(
			"\"Tariffe cambiate senza informare gli utenti\". Maxi-multa dell'Antitrust ai colossi telefonici",
			"Sanzionati Tim e Vodafone con una contravvenzione di 500 mila euro. Cambiavano i piani senza dare informazioni adeguate ai consumatori. <em>Altroconsumo</em>: serve una class action.",
			"",
			"ECONOMIA",
			"Mon, 16 Feb 2009 15:58:35 +0200",
			"http://www.lastampa.it/redazione/cmsSezioni/economia/200902articoli/41064girata.asp",
			""
		);
		feedDTO.setId( feedDAO.create(feedDTO) );
		System.out.println("Created feed #"+feedDTO.getId()+": "+feedDTO.getTitle());
		// ----------------------------------------
		feedDTO = new FeedDTO(
			"Del Noce:  \"Sanremo risorge o muore\"",
			"Il direttore di Rai 1: \"O arriveranno i risultati o &egrave; crisi. Pretestuose le polemiche sui compensi\". Bonolis su Povia: \"Arcigay mosso da rabbia\"<BR>" +
			"<DIV style=\"PADDING-TOP: 6px\"><DIV><SPAN class=boxocchiello><FONT face=Georgia color=#e2021c size=1>FOTO </FONT></SPAN><A class=link href=\"/multimedia/multimedia.asp?IDmsezione=17&amp;IDalbum=15725&amp;tipo=FOTOGALLERY\" target=_self><FONT color=#2f302f>La gag di Del Noce e Bonolis</FONT></A><SPAN class=boxocchiello><FONT face=Georgia color=#e2021c size=1> FOTO </FONT></SPAN><A class=link href=\"/multimedia/multimedia.asp?IDmsezione=17&amp;IDalbum=15728&amp;tipo=FOTOGALLERY\" target=_self><FONT color=#2f302f>GiovedÃ¬ Kevin Spacey sul palco</FONT></A></DIV></DIV>",
			"",
			"SPETTACOLI",
			"Mon, 16 Feb 2009 15:58:35 +0200",
			"http://www.lastampa.it/redazione/cmsSezioni/spettacoli/200902articoli/41068girata.asp",
			"http://www.lastampa.it/redazione/cmssezioni/spettacoli/200902images/sanremo01p.jpg"
		);
		feedDTO.setId( feedDAO.create(feedDTO) );
		System.out.println("Created feed #"+feedDTO.getId()+": "+feedDTO.getTitle());
		// ----------------------------------------
		feedDTO = new FeedDTO(
			"Alla sbarra i pirati del Web: \"Andr&agrave;  tutto bene\"",
			"A Stoccolma si apre il processo contro i responsabili di piratebay.org dopo anni di battaglia fra multinazionali, polizia e attivisti della Rete. Gli imputati sicuri: \"Non abbiamo paura\".",
			"",
			"TECNOLOGIA",
			"Mon, 16 Feb 2009 15:58:35 +0200",
			"http://www.lastampa.it/_web/cmstp/tmplrubriche/tecnologia/grubrica.asp?ID_blog=30&ID_articolo=5767&ID_sezione=38&sezione=News",
			""
		);
		feedDTO.setId( feedDAO.create(feedDTO) );
		System.out.println("Created feed #"+feedDTO.getId()+": "+feedDTO.getTitle());
		// ----------------------------------------
		feedDTO = new FeedDTO(
			"Garlasco, il giallo della chiavetta Usb. La mamma di Chiara: \"Ora la verit&agrave;\"",
			"I periti dei Poggi: \"La bici di Alberto &egrave; stata lavata. Nel bagno il Dna della vittima\". La sera del delitto il computer spento improvvisamente",
			"",
			"CRONACHE",
			"Mon, 16 Feb 2009 15:58:35 +0200",
			"http://www.lastampa.it/redazione/cmsSezioni/cronache/200902articoli/41063girata.asp",
			"http://www.lastampa.it/redazione/cmssezioni/cronache/200709images/stasi06P.jpg"
		);
		feedDTO.setId( feedDAO.create(feedDTO) );
		System.out.println("Created feed #"+feedDTO.getId()+": "+feedDTO.getTitle());
	}	
	
}
