package it.unibo.tw.web.servlets;

import it.unibo.tw.dao.DAOFactory;
import it.unibo.tw.dao.FeedDAO;
import it.unibo.tw.dao.FeedDTO;

import java.io.IOException;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServlet;

import org.jabsorb.JSONSerializer;
import org.jabsorb.serializer.MarshallException;

public class JSONServlet extends HttpServlet {

	private static final long serialVersionUID = 1L;

	  /*
	   * l'oggetto che ci permetterà di serializzare/de-serializzare 
	   * i parametri
	   */
	JSONSerializer serializer;

	@Override
	public void init() {
		serializer = new JSONSerializer();
	    try {
	      // inizializza i tipi serializzatori forniti di default 
	      serializer.registerDefaultSerializers(); 
	    } 
	    catch (Exception e) {
	    	System.out.println(e.getMessage());
	    	e.printStackTrace();
	    }
	  }
	  
	@Override
	public void service(ServletRequest request, ServletResponse response)
	throws ServletException, IOException {

		// recupero il tipo di categoria cercata dai parametri della richiesta
		String category = request.getParameter("category");

		// recupero i feed corrispondenti da database
		FeedDAO feedDAO = 
			DAOFactory.getDAOFactory(
				super.getServletContext().getInitParameter("dao")
			).getFeedDAO();
		List<FeedDTO> feeds = feedDAO.find(category);

		// li stampo su out
		FeedDTO[] tipoDiArray = new FeedDTO[]{};
		 try {
			response.getWriter().println(serializer.toJSON(feeds.toArray(tipoDiArray)));
		} catch (MarshallException e) {
			System.out.println(e.getMessage());
			e.printStackTrace();
		}
	}
}
